<html>
<head>
<title>Ajax Gallery</title>
<script type="text/javascript" src="jquery-1.3.2.min.js"></script>

<script type="text/javascript">
<?php
$i = 0;
$images = array();
$folder = scandir('images');
foreach($folder as $image){
	if($image != '.' && $image != '..'){
		$i++;
		$images[] = $image;
	}
}
$max = $i-2;
?>

max = <?=$max?>;

function init(){
	image = document.createElement('img');
	var href = document.createAttribute('src');
	var indent = document.createAttribute('id');
	image.setAttribute('id','slika');
	loadImg(getId());
	var spanAppend = document.getElementById('myDivLink');
	spanAppend.appendChild(image);
}

function getId(){
	var picId_temp = location.hash;
	if(!picId_temp){
		picId_temp = '#0';
	}
	//picId = parseInt(picId_temp);
	picId = picId_temp.replace('#','');
	picId_fin = parseInt(picId);
	return picId_fin;
}

function loadImg(id){
	var resp = $.ajax({
		url: "load.php",
		method: "POST",
		data: "&id="+id,
		async: false
	}).responseText;
	//document.getElementById('slika').src = resp;
	image.src = resp;
	if(getId() > max){
		document.getElementById('next').style.display = 'none';
		//alert("Max overloaded");
	}
	else{
		document.getElementById('next').style.display = 'inline';
	}
	if(getId() <1){
		document.getElementById('prev').style.display = 'none';
	}
	else{
		document.getElementById('prev').style.display = 'inline';
	}
	//alert(resp);
}

function nextImg(){
	//alert('test');
	var nex = getId()+1;
	location.hash = '#'+nex;
	loadImg(getId());
}

function prevImg(){
	if(getId() != 0){
		var prev = getId()-1;
		location.hash = '#'+prev;
		loadImg(getId());
	}
}
</script>
<style type="text/css">
#main{
	margin:0 auto;
	width:auto;
	text-align:center;
}
a{
	color:blue;
	cursor: pointer;
	border:1px solid black;
	margin:5px;
	padding:5px;
}
img{
	width:350px;
	height:350px;
}
</style>
</head>

<body onload="init()">

<div id="main">
	<div id="myDivLink"></div>
	<p><a onclick="prevImg()" id="prev">prev</a>  <a onclick="nextImg();" id="next">next</a></p>
</div>

</body>
</html>